Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161170 - ifdown-aliases uses relative directory references but doesn't cd /etc/sysconfig/network-scripts
Summary: ifdown-aliases uses relative directory references but doesn't cd /etc/sysconf...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 23:42 UTC by Phil Smith
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 00:41:21 UTC


Attachments (Terms of Use)

Description Phil Smith 2005-06-20 23:42:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When ifdown-aliases is called from a directory other than /etc/sysconfig/network-scripts it fails

EG.
# /etc/sysconfig/network-scripts/ifdown-aliases  eth0

/etc/sysconfig/network-scripts/ifdown-aliases: line 13: network-functions: No such file or directory


Version-Release number of selected component (if applicable):
initscripts-7.93.13.EL-2

How reproducible:
Always

Steps to Reproduce:
Execute 

/etc/sysconfig/network-scripts/ifdown-aliases  eth0

from /

Actual Results:  /etc/sysconfig/network-scripts/ifdown-aliases: line 13: network-functions: No such file or directory

Expected Results:  alias removed from eth0

Additional info:

Just need to add the following line @ line 12


cd /etc/sysconfig/network-scripts

Comment 1 Bill Nottingham 2005-06-21 00:41:21 UTC
Fixed in CVS HEAD. Will be in RHEL 5.


Note You need to log in before you can comment on or make changes to this bug.